[![Python \>= 3.9](https://img.shields.io/badge/python-3.9+-green.svg)](https://www.python.org/)
[![Package License](https://img.shields.io/github/license/bwohlberg/komplot.svg)](https://github.com/bwohlberg/komplot/blob/main/LICENSE)
[![Code style](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)
[![Documentation Status](https://readthedocs.org/projects/komplot/badge/?version=latest)](http://komplot.readthedocs.io/en/latest/?badge=latest)
[![PyPI package version](https://badge.fury.io/py/komplot.svg)](https://badge.fury.io/py/komplot)
[![Run notebook on google colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/bwohlberg/komplot/blob/main/examples/komplot.ipynb)


# KomPlot

KomPlot provides a convenience layer around selected [matplotlib](https://matplotlib.org) plotting functions, making it possible to construct a useful plot in a single function call, which is particularly useful for use within an interactive [ipython](https://ipython.org) or [JupyterLab](https://jupyter.org) session. KomPlot also provides a number of interactive controls, including zooming by mouse wheel scroll, colormap shifts when viewing images, and shifting between displayed slices of a volume.


## Installation

The [online documentation](https://komplot.rtfd.io) includes [installation instructions](https://komplot.rtfd.io/en/latest/install.html).


## Usage Examples

Usage examples are available in directory `examples`.


## License

KomPlot is distributed as open-source software under a BSD 3-Clause License (see the `LICENSE` file for details).
